Skip to main content

Chargebee full reference

This is the full reference documentation for the Chargebee agent connector.

Supported entities and actions

The Chargebee connector supports the following entities and actions.

EntityActions
CustomerList, Get, Search
SubscriptionList, Get, Search
InvoiceList, Get, Search
Credit NoteList, Get, Search
CouponList, Get, Search
TransactionList, Get, Search
EventList, Get, Search
OrderList, Get, Search
ItemList, Get, Search
Item PriceList, Get, Search
Payment SourceList, Get, Search

Customer

Customer List

List customers

Python SDK

await chargebee.customer.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "customer",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNoNumber of items to return (max 100)
offsetstringNoCursor for pagination
Response Schema

Records

Field NameTypeDescription
idstring
first_namestring
last_namestring
emailstring
phonestring
companystring
vat_numberstring
auto_collectionstring
offline_payment_methodstring
net_term_daysinteger
vat_number_validated_timeinteger
vat_number_statusstring
allow_direct_debitboolean
is_location_validboolean
created_atinteger
created_from_ipstring
taxabilitystring
entity_codestring
exempt_numberstring
resource_versioninteger
updated_atinteger
localestring
billing_dateinteger
billing_date_modestring
billing_day_of_weekstring
billing_day_of_week_modestring
billing_monthinteger
pii_clearedstring
auto_close_invoicesboolean
channelstring
fraud_flagstring
primary_payment_source_idstring
backup_payment_source_idstring
invoice_notesstring
business_entity_idstring
preferred_currency_codestring
promotional_creditsinteger
unbilled_chargesinteger
refundable_creditsinteger
excess_paymentsinteger
deletedboolean
registered_for_gstboolean
consolidated_invoicingboolean
customer_typestring
business_customer_without_vat_numberboolean
client_profile_idstring
use_default_hierarchy_settingsboolean
vat_number_prefixstring
billing_addressobject
referral_urlsarray<object>
contactsarray<object>
payment_methodobject
balancesarray<object>
relationshipobject
parent_account_accessobject
child_account_accessobject
meta_dataobject
mrrinteger
exemption_detailsarray<object>
tax_providers_fieldsarray<object>
objectstring
card_statusstring
custom_fieldsarray<object>

Meta

Field NameTypeDescription
next_offsetstring

Customer Get

Retrieve a customer

Python SDK

await chargebee.customer.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "customer",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesCustomer ID
Response Schema

Records

Field NameTypeDescription
idstring
first_namestring
last_namestring
emailstring
phonestring
companystring
vat_numberstring
auto_collectionstring
offline_payment_methodstring
net_term_daysinteger
vat_number_validated_timeinteger
vat_number_statusstring
allow_direct_debitboolean
is_location_validboolean
created_atinteger
created_from_ipstring
taxabilitystring
entity_codestring
exempt_numberstring
resource_versioninteger
updated_atinteger
localestring
billing_dateinteger
billing_date_modestring
billing_day_of_weekstring
billing_day_of_week_modestring
billing_monthinteger
pii_clearedstring
auto_close_invoicesboolean
channelstring
fraud_flagstring
primary_payment_source_idstring
backup_payment_source_idstring
invoice_notesstring
business_entity_idstring
preferred_currency_codestring
promotional_creditsinteger
unbilled_chargesinteger
refundable_creditsinteger
excess_paymentsinteger
deletedboolean
registered_for_gstboolean
consolidated_invoicingboolean
customer_typestring
business_customer_without_vat_numberboolean
client_profile_idstring
use_default_hierarchy_settingsboolean
vat_number_prefixstring
billing_addressobject
referral_urlsarray<object>
contactsarray<object>
payment_methodobject
balancesarray<object>
relationshipobject
parent_account_accessobject
child_account_accessobject
meta_dataobject
mrrinteger
exemption_detailsarray<object>
tax_providers_fieldsarray<object>
objectstring
card_statusstring
custom_fieldsarray<object>

Search and filter customer records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.customer.search(
query={"filter": {"eq": {"allow_direct_debit": True}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "customer",
"action": "search",
"params": {
"query": {"filter": {"eq": {"allow_direct_debit": True}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
allow_direct_debitbooleanIndicates if direct debit is allowed for the customer.
auto_close_invoicesbooleanFlag to automatically close invoices for the customer.
auto_collectionstringConfigures the automatic collection settings for the customer.
backup_payment_source_idstringID of the backup payment source for the customer.
balancesarrayCustomer's balance information related to their account.
billing_addressobjectCustomer's billing address details.
billing_dateintegerDate for billing cycle.
billing_date_modestringMode for billing date calculation.
billing_day_of_weekstringDay of the week for billing cycle.
billing_day_of_week_modestringMode for billing day of the week calculation.
billing_monthintegerMonth for billing cycle.
business_customer_without_vat_numberbooleanFlag indicating business customer without a VAT number.
business_entity_idstringID of the business entity.
card_statusstringStatus of payment card associated with the customer.
channelstringChannel through which the customer was acquired.
child_account_accessobjectInformation regarding the access rights of child accounts linked to the customer's account.
client_profile_idstringClient profile ID of the customer.
companystringCompany or organization name.
consolidated_invoicingbooleanFlag for consolidated invoicing setting.
contactsarrayList of contact details associated with the customer.
created_atintegerDate and time when the customer was created.
created_from_ipstringIP address from which the customer was created.
custom_fieldsarray
customer_typestringType of customer (e.g., individual, business).
deletedbooleanFlag indicating if the customer is deleted.
emailstringEmail address of the customer.
entity_codestringCode for the customer entity.
excess_paymentsintegerTotal amount of excess payments by the customer.
exempt_numberstringExemption number for tax purposes.
exemption_detailsarrayDetails about any exemptions applicable to the customer's account.
first_namestringFirst name of the customer.
fraud_flagstringFlag indicating if fraud is associated with the customer.
idstringUnique ID of the customer.
invoice_notesstringNotes added to the customer's invoices.
is_location_validbooleanFlag indicating if the customer location is valid.
last_namestringLast name of the customer.
localestringLocale setting for the customer.
meta_dataobjectAdditional metadata associated with the customer.
mrrintegerMonthly recurring revenue generated from the customer.
net_term_daysintegerNumber of days for net terms.
objectstringObject type for the customer.
offline_payment_methodstringOffline payment method used by the customer.
parent_account_accessobjectInformation regarding the access rights of the parent account, if applicable.
payment_methodobjectCustomer's preferred payment method details.
phonestringPhone number of the customer.
pii_clearedstringFlag indicating if PII (Personally Identifiable Information) is cleared.
preferred_currency_codestringPreferred currency code for transactions.
primary_payment_source_idstringID of the primary payment source for the customer.
promotional_creditsintegerTotal amount of promotional credits used.
referral_urlsarrayList of referral URLs associated with the customer.
refundable_creditsintegerTotal amount of refundable credits.
registered_for_gstbooleanFlag indicating if the customer is registered for GST.
relationshipobjectDetails about the relationship of the customer to other entities, if any.
resource_versionintegerVersion of the customer's resource.
tax_providers_fieldsarrayFields related to tax providers.
taxabilitystringTaxability status of the customer.
unbilled_chargesintegerTotal amount of unbilled charges.
updated_atintegerDate and time when the customer record was last updated.
use_default_hierarchy_settingsbooleanFlag indicating if default hierarchy settings are used.
vat_numberstringVAT number associated with the customer.
vat_number_prefixstringPrefix for the VAT number.
vat_number_statusstringStatus of the VAT number validation.
vat_number_validated_timeintegerDate and time when the VAT number was validated.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].allow_direct_debitbooleanIndicates if direct debit is allowed for the customer.
data[].auto_close_invoicesbooleanFlag to automatically close invoices for the customer.
data[].auto_collectionstringConfigures the automatic collection settings for the customer.
data[].backup_payment_source_idstringID of the backup payment source for the customer.
data[].balancesarrayCustomer's balance information related to their account.
data[].billing_addressobjectCustomer's billing address details.
data[].billing_dateintegerDate for billing cycle.
data[].billing_date_modestringMode for billing date calculation.
data[].billing_day_of_weekstringDay of the week for billing cycle.
data[].billing_day_of_week_modestringMode for billing day of the week calculation.
data[].billing_monthintegerMonth for billing cycle.
data[].business_customer_without_vat_numberbooleanFlag indicating business customer without a VAT number.
data[].business_entity_idstringID of the business entity.
data[].card_statusstringStatus of payment card associated with the customer.
data[].channelstringChannel through which the customer was acquired.
data[].child_account_accessobjectInformation regarding the access rights of child accounts linked to the customer's account.
data[].client_profile_idstringClient profile ID of the customer.
data[].companystringCompany or organization name.
data[].consolidated_invoicingbooleanFlag for consolidated invoicing setting.
data[].contactsarrayList of contact details associated with the customer.
data[].created_atintegerDate and time when the customer was created.
data[].created_from_ipstringIP address from which the customer was created.
data[].custom_fieldsarray
data[].customer_typestringType of customer (e.g., individual, business).
data[].deletedbooleanFlag indicating if the customer is deleted.
data[].emailstringEmail address of the customer.
data[].entity_codestringCode for the customer entity.
data[].excess_paymentsintegerTotal amount of excess payments by the customer.
data[].exempt_numberstringExemption number for tax purposes.
data[].exemption_detailsarrayDetails about any exemptions applicable to the customer's account.
data[].first_namestringFirst name of the customer.
data[].fraud_flagstringFlag indicating if fraud is associated with the customer.
data[].idstringUnique ID of the customer.
data[].invoice_notesstringNotes added to the customer's invoices.
data[].is_location_validbooleanFlag indicating if the customer location is valid.
data[].last_namestringLast name of the customer.
data[].localestringLocale setting for the customer.
data[].meta_dataobjectAdditional metadata associated with the customer.
data[].mrrintegerMonthly recurring revenue generated from the customer.
data[].net_term_daysintegerNumber of days for net terms.
data[].objectstringObject type for the customer.
data[].offline_payment_methodstringOffline payment method used by the customer.
data[].parent_account_accessobjectInformation regarding the access rights of the parent account, if applicable.
data[].payment_methodobjectCustomer's preferred payment method details.
data[].phonestringPhone number of the customer.
data[].pii_clearedstringFlag indicating if PII (Personally Identifiable Information) is cleared.
data[].preferred_currency_codestringPreferred currency code for transactions.
data[].primary_payment_source_idstringID of the primary payment source for the customer.
data[].promotional_creditsintegerTotal amount of promotional credits used.
data[].referral_urlsarrayList of referral URLs associated with the customer.
data[].refundable_creditsintegerTotal amount of refundable credits.
data[].registered_for_gstbooleanFlag indicating if the customer is registered for GST.
data[].relationshipobjectDetails about the relationship of the customer to other entities, if any.
data[].resource_versionintegerVersion of the customer's resource.
data[].tax_providers_fieldsarrayFields related to tax providers.
data[].taxabilitystringTaxability status of the customer.
data[].unbilled_chargesintegerTotal amount of unbilled charges.
data[].updated_atintegerDate and time when the customer record was last updated.
data[].use_default_hierarchy_settingsbooleanFlag indicating if default hierarchy settings are used.
data[].vat_numberstringVAT number associated with the customer.
data[].vat_number_prefixstringPrefix for the VAT number.
data[].vat_number_statusstringStatus of the VAT number validation.
data[].vat_number_validated_timeintegerDate and time when the VAT number was validated.

Subscription

Subscription List

List subscriptions

Python SDK

await chargebee.subscription.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "subscription",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
plan_idstring
plan_quantityinteger
plan_unit_priceinteger
plan_amountinteger
plan_free_quantityinteger
statusstring
trial_startinteger
trial_endinteger
current_term_startinteger
current_term_endinteger
next_billing_atinteger
created_atinteger
started_atinteger
activated_atinteger
cancelled_atinteger
cancel_reasonstring
channelstring
billing_periodinteger
billing_period_unitstring
auto_collectionstring
currency_codestring
remaining_billing_cyclesinteger
po_numberstring
created_from_ipstring
resource_versioninteger
updated_atinteger
has_scheduled_changesboolean
payment_source_idstring
plan_free_quantity_in_decimalstring
plan_quantity_in_decimalstring
plan_unit_price_in_decimalstring
plan_amount_in_decimalstring
due_invoices_countinteger
due_sinceinteger
total_duesinteger
mrrinteger
exchange_ratenumber
base_currency_codestring
override_relationshipboolean
trial_end_actionstring
pause_dateinteger
resume_dateinteger
cancelled_at_term_endboolean
has_scheduled_advance_invoicesboolean
objectstring
addonsarray<object>
couponsarray<object>
discountsarray<object>
subscription_itemsarray<object>
item_tiersarray<object>
charged_itemsarray<object>
shipping_addressobject
contract_termobject
meta_dataobject
deletedboolean
business_entity_idstring
free_periodinteger
free_period_unitstring
cf_mandate_idstring
custom_fieldsarray<object>
changes_scheduled_atinteger
invoice_notesstring
auto_close_invoicesboolean
offline_payment_methodstring

Meta

Field NameTypeDescription
next_offsetstring

Subscription Get

Retrieve a subscription

Python SDK

await chargebee.subscription.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "subscription",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesSubscription ID
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
plan_idstring
plan_quantityinteger
plan_unit_priceinteger
plan_amountinteger
plan_free_quantityinteger
statusstring
trial_startinteger
trial_endinteger
current_term_startinteger
current_term_endinteger
next_billing_atinteger
created_atinteger
started_atinteger
activated_atinteger
cancelled_atinteger
cancel_reasonstring
channelstring
billing_periodinteger
billing_period_unitstring
auto_collectionstring
currency_codestring
remaining_billing_cyclesinteger
po_numberstring
created_from_ipstring
resource_versioninteger
updated_atinteger
has_scheduled_changesboolean
payment_source_idstring
plan_free_quantity_in_decimalstring
plan_quantity_in_decimalstring
plan_unit_price_in_decimalstring
plan_amount_in_decimalstring
due_invoices_countinteger
due_sinceinteger
total_duesinteger
mrrinteger
exchange_ratenumber
base_currency_codestring
override_relationshipboolean
trial_end_actionstring
pause_dateinteger
resume_dateinteger
cancelled_at_term_endboolean
has_scheduled_advance_invoicesboolean
objectstring
addonsarray<object>
couponsarray<object>
discountsarray<object>
subscription_itemsarray<object>
item_tiersarray<object>
charged_itemsarray<object>
shipping_addressobject
contract_termobject
meta_dataobject
deletedboolean
business_entity_idstring
free_periodinteger
free_period_unitstring
cf_mandate_idstring
custom_fieldsarray<object>
changes_scheduled_atinteger
invoice_notesstring
auto_close_invoicesboolean
offline_payment_methodstring

Search and filter subscription records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.subscription.search(
query={"filter": {"eq": {"activated_at": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "subscription",
"action": "search",
"params": {
"query": {"filter": {"eq": {"activated_at": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
activated_atintegerThe date and time when the subscription was activated.
addonsarrayRepresents any additional features or services added to the subscription
affiliate_tokenstringThe affiliate token associated with the subscription.
auto_close_invoicesbooleanDefines if the invoices are automatically closed or not.
auto_collectionstringIndicates if auto-collection is enabled for the subscription.
base_currency_codestringThe base currency code used for the subscription.
billing_periodintegerThe billing period duration for the subscription.
billing_period_unitstringThe unit of the billing period.
business_entity_idstringThe ID of the business entity to which the subscription belongs.
cancel_reasonstringThe reason for the cancellation of the subscription.
cancel_reason_codestringThe code associated with the cancellation reason.
cancel_schedule_created_atintegerThe date and time when the cancellation schedule was created.
cancelled_atintegerThe date and time when the subscription was cancelled.
channelstringThe channel through which the subscription was acquired.
charged_event_based_addonsarrayDetails of addons charged based on events
charged_itemsarrayLists the items that have been charged as part of the subscription
contract_termobjectContains details about the contract term of the subscription
contract_term_billing_cycle_on_renewalintegerIndicates if the contract term billing cycle is applied on renewal.
couponstringThe coupon applied to the subscription.
couponsarrayDetails of applied coupons
create_pending_invoicesbooleanIndicates if pending invoices are created.
created_atintegerThe date and time of the creation of the subscription.
created_from_ipstringThe IP address from which the subscription was created.
currency_codestringThe currency code used for the subscription.
current_term_endintegerThe end date of the current term for the subscription.
current_term_startintegerThe start date of the current term for the subscription.
custom_fieldsarray
customer_idstringThe ID of the customer associated with the subscription.
deletedbooleanIndicates if the subscription has been deleted.
discountsarrayIncludes any discounts applied to the subscription
due_invoices_countintegerThe count of due invoices for the subscription.
due_sinceintegerThe date since which the invoices are due.
event_based_addonsarraySpecifies any event-based addons associated with the subscription
exchange_ratenumberThe exchange rate used for currency conversion.
free_periodintegerThe duration of the free period for the subscription.
free_period_unitstringThe unit of the free period duration.
gift_idstringThe ID of the gift associated with the subscription.
has_scheduled_advance_invoicesbooleanIndicates if there are scheduled advance invoices for the subscription.
has_scheduled_changesbooleanIndicates if there are scheduled changes for the subscription.
idstringThe unique ID of the subscription.
invoice_notesstringAny notes added to the invoices of the subscription.
item_tiersarrayProvides information about tiers or levels for specific subscription items
meta_dataobjectAdditional metadata associated with subscription
metadataobjectAdditional metadata associated with subscription
mrrintegerThe monthly recurring revenue generated by the subscription.
next_billing_atintegerThe date and time of the next billing event for the subscription.
objectstringThe type of object (subscription).
offline_payment_methodstringThe offline payment method used for the subscription.
override_relationshipbooleanIndicates if the existing relationship is overridden by this subscription.
pause_dateintegerThe date on which the subscription was paused.
payment_source_idstringThe ID of the payment source used for the subscription.
plan_amountintegerThe total amount charged for the plan of the subscription.
plan_amount_in_decimalstringThe total amount charged for the plan in decimal format.
plan_free_quantityintegerThe free quantity included in the plan of the subscription.
plan_free_quantity_in_decimalstringThe free quantity included in the plan in decimal format.
plan_idstringThe ID of the plan associated with the subscription.
plan_quantityintegerThe quantity of the plan included in the subscription.
plan_quantity_in_decimalstringThe quantity of the plan in decimal format.
plan_unit_priceintegerThe unit price of the plan for the subscription.
plan_unit_price_in_decimalstringThe unit price of the plan in decimal format.
po_numberstringThe purchase order number associated with the subscription.
referral_infoobjectContains details related to any referral information associated with the subscription
remaining_billing_cyclesintegerThe count of remaining billing cycles for the subscription.
resource_versionintegerThe version of the resource (subscription).
resume_dateintegerThe date on which the subscription was resumed.
setup_feeintegerThe setup fee charged for the subscription.
shipping_addressobjectStores the shipping address related to the subscription
start_dateintegerThe start date of the subscription.
started_atintegerThe date and time when the subscription started.
statusstringThe current status of the subscription.
subscription_itemsarrayLists individual items included in the subscription
total_duesintegerThe total amount of dues for the subscription.
trial_endintegerThe end date of the trial period for the subscription.
trial_end_actionstringThe action to be taken at the end of the trial period.
trial_startintegerThe start date of the trial period for the subscription.
updated_atintegerThe date and time when the subscription was last updated.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].activated_atintegerThe date and time when the subscription was activated.
data[].addonsarrayRepresents any additional features or services added to the subscription
data[].affiliate_tokenstringThe affiliate token associated with the subscription.
data[].auto_close_invoicesbooleanDefines if the invoices are automatically closed or not.
data[].auto_collectionstringIndicates if auto-collection is enabled for the subscription.
data[].base_currency_codestringThe base currency code used for the subscription.
data[].billing_periodintegerThe billing period duration for the subscription.
data[].billing_period_unitstringThe unit of the billing period.
data[].business_entity_idstringThe ID of the business entity to which the subscription belongs.
data[].cancel_reasonstringThe reason for the cancellation of the subscription.
data[].cancel_reason_codestringThe code associated with the cancellation reason.
data[].cancel_schedule_created_atintegerThe date and time when the cancellation schedule was created.
data[].cancelled_atintegerThe date and time when the subscription was cancelled.
data[].channelstringThe channel through which the subscription was acquired.
data[].charged_event_based_addonsarrayDetails of addons charged based on events
data[].charged_itemsarrayLists the items that have been charged as part of the subscription
data[].contract_termobjectContains details about the contract term of the subscription
data[].contract_term_billing_cycle_on_renewalintegerIndicates if the contract term billing cycle is applied on renewal.
data[].couponstringThe coupon applied to the subscription.
data[].couponsarrayDetails of applied coupons
data[].create_pending_invoicesbooleanIndicates if pending invoices are created.
data[].created_atintegerThe date and time of the creation of the subscription.
data[].created_from_ipstringThe IP address from which the subscription was created.
data[].currency_codestringThe currency code used for the subscription.
data[].current_term_endintegerThe end date of the current term for the subscription.
data[].current_term_startintegerThe start date of the current term for the subscription.
data[].custom_fieldsarray
data[].customer_idstringThe ID of the customer associated with the subscription.
data[].deletedbooleanIndicates if the subscription has been deleted.
data[].discountsarrayIncludes any discounts applied to the subscription
data[].due_invoices_countintegerThe count of due invoices for the subscription.
data[].due_sinceintegerThe date since which the invoices are due.
data[].event_based_addonsarraySpecifies any event-based addons associated with the subscription
data[].exchange_ratenumberThe exchange rate used for currency conversion.
data[].free_periodintegerThe duration of the free period for the subscription.
data[].free_period_unitstringThe unit of the free period duration.
data[].gift_idstringThe ID of the gift associated with the subscription.
data[].has_scheduled_advance_invoicesbooleanIndicates if there are scheduled advance invoices for the subscription.
data[].has_scheduled_changesbooleanIndicates if there are scheduled changes for the subscription.
data[].idstringThe unique ID of the subscription.
data[].invoice_notesstringAny notes added to the invoices of the subscription.
data[].item_tiersarrayProvides information about tiers or levels for specific subscription items
data[].meta_dataobjectAdditional metadata associated with subscription
data[].metadataobjectAdditional metadata associated with subscription
data[].mrrintegerThe monthly recurring revenue generated by the subscription.
data[].next_billing_atintegerThe date and time of the next billing event for the subscription.
data[].objectstringThe type of object (subscription).
data[].offline_payment_methodstringThe offline payment method used for the subscription.
data[].override_relationshipbooleanIndicates if the existing relationship is overridden by this subscription.
data[].pause_dateintegerThe date on which the subscription was paused.
data[].payment_source_idstringThe ID of the payment source used for the subscription.
data[].plan_amountintegerThe total amount charged for the plan of the subscription.
data[].plan_amount_in_decimalstringThe total amount charged for the plan in decimal format.
data[].plan_free_quantityintegerThe free quantity included in the plan of the subscription.
data[].plan_free_quantity_in_decimalstringThe free quantity included in the plan in decimal format.
data[].plan_idstringThe ID of the plan associated with the subscription.
data[].plan_quantityintegerThe quantity of the plan included in the subscription.
data[].plan_quantity_in_decimalstringThe quantity of the plan in decimal format.
data[].plan_unit_priceintegerThe unit price of the plan for the subscription.
data[].plan_unit_price_in_decimalstringThe unit price of the plan in decimal format.
data[].po_numberstringThe purchase order number associated with the subscription.
data[].referral_infoobjectContains details related to any referral information associated with the subscription
data[].remaining_billing_cyclesintegerThe count of remaining billing cycles for the subscription.
data[].resource_versionintegerThe version of the resource (subscription).
data[].resume_dateintegerThe date on which the subscription was resumed.
data[].setup_feeintegerThe setup fee charged for the subscription.
data[].shipping_addressobjectStores the shipping address related to the subscription
data[].start_dateintegerThe start date of the subscription.
data[].started_atintegerThe date and time when the subscription started.
data[].statusstringThe current status of the subscription.
data[].subscription_itemsarrayLists individual items included in the subscription
data[].total_duesintegerThe total amount of dues for the subscription.
data[].trial_endintegerThe end date of the trial period for the subscription.
data[].trial_end_actionstringThe action to be taken at the end of the trial period.
data[].trial_startintegerThe start date of the trial period for the subscription.
data[].updated_atintegerThe date and time when the subscription was last updated.

Invoice

Invoice List

List invoices

Python SDK

await chargebee.invoice.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "invoice",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
subscription_idstring
recurringboolean
statusstring
price_typestring
dateinteger
due_dateinteger
net_term_daysinteger
currency_codestring
totalinteger
amount_paidinteger
amount_adjustedinteger
write_off_amountinteger
credits_appliedinteger
amount_dueinteger
paid_atinteger
dunning_statusstring
updated_atinteger
resource_versioninteger
deletedboolean
objectstring
first_invoiceboolean
amount_to_collectinteger
round_off_amountinteger
new_sales_amountinteger
has_advance_chargesboolean
taxinteger
sub_totalinteger
sub_total_in_local_currencyinteger
total_in_local_currencyinteger
exchange_ratenumber
base_currency_codestring
is_giftedboolean
generated_atinteger
expected_payment_dateinteger
channelstring
business_entity_idstring
line_itemsarray<object>
discountsarray<object>
line_item_discountsarray<object>
taxesarray<object>
line_item_taxesarray<object>
line_item_tiersarray<object>
linked_paymentsarray<object>
dunning_attemptsarray<object>
applied_creditsarray<object>
adjustment_credit_notesarray<object>
issued_credit_notesarray<object>
linked_ordersarray<object>
notesarray<object>
billing_addressobject
shipping_addressobject
linked_taxes_withheldarray<object>
custom_fieldsarray<object>
void_reason_codestring
voided_atinteger
created_atinteger

Meta

Field NameTypeDescription
next_offsetstring

Invoice Get

Retrieve an invoice

Python SDK

await chargebee.invoice.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "invoice",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesInvoice ID
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
subscription_idstring
recurringboolean
statusstring
price_typestring
dateinteger
due_dateinteger
net_term_daysinteger
currency_codestring
totalinteger
amount_paidinteger
amount_adjustedinteger
write_off_amountinteger
credits_appliedinteger
amount_dueinteger
paid_atinteger
dunning_statusstring
updated_atinteger
resource_versioninteger
deletedboolean
objectstring
first_invoiceboolean
amount_to_collectinteger
round_off_amountinteger
new_sales_amountinteger
has_advance_chargesboolean
taxinteger
sub_totalinteger
sub_total_in_local_currencyinteger
total_in_local_currencyinteger
exchange_ratenumber
base_currency_codestring
is_giftedboolean
generated_atinteger
expected_payment_dateinteger
channelstring
business_entity_idstring
line_itemsarray<object>
discountsarray<object>
line_item_discountsarray<object>
taxesarray<object>
line_item_taxesarray<object>
line_item_tiersarray<object>
linked_paymentsarray<object>
dunning_attemptsarray<object>
applied_creditsarray<object>
adjustment_credit_notesarray<object>
issued_credit_notesarray<object>
linked_ordersarray<object>
notesarray<object>
billing_addressobject
shipping_addressobject
linked_taxes_withheldarray<object>
custom_fieldsarray<object>
void_reason_codestring
voided_atinteger
created_atinteger

Search and filter invoice records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.invoice.search(
query={"filter": {"eq": {"adjustment_credit_notes": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "invoice",
"action": "search",
"params": {
"query": {"filter": {"eq": {"adjustment_credit_notes": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
adjustment_credit_notesarrayDetails of adjustment credit notes applied to the invoice
amount_adjustedintegerTotal amount adjusted in the invoice
amount_dueintegerAmount due for payment
amount_paidintegerAmount already paid
amount_to_collectintegerAmount yet to be collected
applied_creditsarrayDetails of credits applied to the invoice
base_currency_codestringCurrency code used as base for the invoice
billing_addressobjectDetails of the billing address associated with the invoice
business_entity_idstringID of the business entity
channelstringChannel through which the invoice was generated
credits_appliedintegerTotal credits applied to the invoice
currency_codestringCurrency code of the invoice
custom_fieldsarray
customer_idstringID of the customer
dateintegerDate of the invoice
deletedbooleanFlag indicating if the invoice is deleted
discountsarrayDiscount details applied to the invoice
due_dateintegerDue date for payment
dunning_attemptsarrayDetails of dunning attempts made
dunning_statusstringStatus of dunning for the invoice
einvoiceobjectDetails of electronic invoice
exchange_ratenumberExchange rate used for currency conversion
expected_payment_dateintegerExpected date of payment
first_invoicebooleanFlag indicating whether it's the first invoice
generated_atintegerDate when the invoice was generated
has_advance_chargesbooleanFlag indicating if there are advance charges
idstringUnique ID of the invoice
is_digitalbooleanFlag indicating if the invoice is digital
is_giftedbooleanFlag indicating if the invoice is gifted
issued_credit_notesarrayDetails of credit notes issued
line_item_discountsarrayDetails of line item discounts
line_item_taxesarrayTax details applied to each line item in the invoice
line_item_tiersarrayTiers information for each line item in the invoice
line_itemsarrayDetails of individual line items in the invoice
linked_ordersarrayDetails of linked orders to the invoice
linked_paymentsarrayDetails of linked payments
linked_taxes_withheldarrayDetails of linked taxes withheld on the invoice
local_currency_codestringLocal currency code of the invoice
local_currency_exchange_ratenumberExchange rate for local currency conversion
net_term_daysintegerNet term days for payment
new_sales_amountintegerNew sales amount in the invoice
next_retry_atintegerDate of the next payment retry
notesarrayNotes associated with the invoice
objectstringType of object
paid_atintegerDate when the invoice was paid
payment_ownerstringOwner of the payment
po_numberstringPurchase order number
price_typestringType of pricing
recurringbooleanFlag indicating if it's a recurring invoice
resource_versionintegerResource version of the invoice
round_off_amountintegerAmount rounded off
shipping_addressobjectDetails of the shipping address associated with the invoice
statement_descriptorobjectDescriptor for the statement
statusstringStatus of the invoice
sub_totalintegerSubtotal amount
sub_total_in_local_currencyintegerSubtotal amount in local currency
subscription_idstringID of the subscription associated
taxintegerTotal tax amount
tax_categorystringTax category
taxesarrayDetails of taxes applied
term_finalizedbooleanFlag indicating if the term is finalized
totalintegerTotal amount of the invoice
total_in_local_currencyintegerTotal amount in local currency
updated_atintegerDate of last update
vat_numberstringVAT number
vat_number_prefixstringPrefix for the VAT number
void_reason_codestringReason code for voiding the invoice
voided_atintegerDate when the invoice was voided
write_off_amountintegerAmount written off
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].adjustment_credit_notesarrayDetails of adjustment credit notes applied to the invoice
data[].amount_adjustedintegerTotal amount adjusted in the invoice
data[].amount_dueintegerAmount due for payment
data[].amount_paidintegerAmount already paid
data[].amount_to_collectintegerAmount yet to be collected
data[].applied_creditsarrayDetails of credits applied to the invoice
data[].base_currency_codestringCurrency code used as base for the invoice
data[].billing_addressobjectDetails of the billing address associated with the invoice
data[].business_entity_idstringID of the business entity
data[].channelstringChannel through which the invoice was generated
data[].credits_appliedintegerTotal credits applied to the invoice
data[].currency_codestringCurrency code of the invoice
data[].custom_fieldsarray
data[].customer_idstringID of the customer
data[].dateintegerDate of the invoice
data[].deletedbooleanFlag indicating if the invoice is deleted
data[].discountsarrayDiscount details applied to the invoice
data[].due_dateintegerDue date for payment
data[].dunning_attemptsarrayDetails of dunning attempts made
data[].dunning_statusstringStatus of dunning for the invoice
data[].einvoiceobjectDetails of electronic invoice
data[].exchange_ratenumberExchange rate used for currency conversion
data[].expected_payment_dateintegerExpected date of payment
data[].first_invoicebooleanFlag indicating whether it's the first invoice
data[].generated_atintegerDate when the invoice was generated
data[].has_advance_chargesbooleanFlag indicating if there are advance charges
data[].idstringUnique ID of the invoice
data[].is_digitalbooleanFlag indicating if the invoice is digital
data[].is_giftedbooleanFlag indicating if the invoice is gifted
data[].issued_credit_notesarrayDetails of credit notes issued
data[].line_item_discountsarrayDetails of line item discounts
data[].line_item_taxesarrayTax details applied to each line item in the invoice
data[].line_item_tiersarrayTiers information for each line item in the invoice
data[].line_itemsarrayDetails of individual line items in the invoice
data[].linked_ordersarrayDetails of linked orders to the invoice
data[].linked_paymentsarrayDetails of linked payments
data[].linked_taxes_withheldarrayDetails of linked taxes withheld on the invoice
data[].local_currency_codestringLocal currency code of the invoice
data[].local_currency_exchange_ratenumberExchange rate for local currency conversion
data[].net_term_daysintegerNet term days for payment
data[].new_sales_amountintegerNew sales amount in the invoice
data[].next_retry_atintegerDate of the next payment retry
data[].notesarrayNotes associated with the invoice
data[].objectstringType of object
data[].paid_atintegerDate when the invoice was paid
data[].payment_ownerstringOwner of the payment
data[].po_numberstringPurchase order number
data[].price_typestringType of pricing
data[].recurringbooleanFlag indicating if it's a recurring invoice
data[].resource_versionintegerResource version of the invoice
data[].round_off_amountintegerAmount rounded off
data[].shipping_addressobjectDetails of the shipping address associated with the invoice
data[].statement_descriptorobjectDescriptor for the statement
data[].statusstringStatus of the invoice
data[].sub_totalintegerSubtotal amount
data[].sub_total_in_local_currencyintegerSubtotal amount in local currency
data[].subscription_idstringID of the subscription associated
data[].taxintegerTotal tax amount
data[].tax_categorystringTax category
data[].taxesarrayDetails of taxes applied
data[].term_finalizedbooleanFlag indicating if the term is finalized
data[].totalintegerTotal amount of the invoice
data[].total_in_local_currencyintegerTotal amount in local currency
data[].updated_atintegerDate of last update
data[].vat_numberstringVAT number
data[].vat_number_prefixstringPrefix for the VAT number
data[].void_reason_codestringReason code for voiding the invoice
data[].voided_atintegerDate when the invoice was voided
data[].write_off_amountintegerAmount written off

Credit Note

Credit Note List

List credit notes

Python SDK

await chargebee.credit_note.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "credit_note",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
subscription_idstring
reference_invoice_idstring
typestring
reason_codestring
statusstring
dateinteger
price_typestring
currency_codestring
totalinteger
amount_allocatedinteger
amount_refundedinteger
amount_availableinteger
refunded_atinteger
voided_atinteger
generated_atinteger
resource_versioninteger
updated_atinteger
sub_totalinteger
sub_total_in_local_currencyinteger
total_in_local_currencyinteger
round_off_amountinteger
channelstring
exchange_ratenumber
base_currency_codestring
business_entity_idstring
deletedboolean
objectstring
create_reason_codestring
void_reason_codestring
fractional_correctioninteger
line_itemsarray<object>
discountsarray<object>
line_item_discountsarray<object>
line_item_tiersarray<object>
taxesarray<object>
line_item_taxesarray<object>
linked_refundsarray<object>
allocationsarray<object>
linked_tax_withheld_refundsarray<object>
shipping_addressobject
billing_addressobject
custom_fieldsarray<object>
created_atinteger

Meta

Field NameTypeDescription
next_offsetstring

Credit Note Get

Retrieve a credit note

Python SDK

await chargebee.credit_note.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "credit_note",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesCredit note ID
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
subscription_idstring
reference_invoice_idstring
typestring
reason_codestring
statusstring
dateinteger
price_typestring
currency_codestring
totalinteger
amount_allocatedinteger
amount_refundedinteger
amount_availableinteger
refunded_atinteger
voided_atinteger
generated_atinteger
resource_versioninteger
updated_atinteger
sub_totalinteger
sub_total_in_local_currencyinteger
total_in_local_currencyinteger
round_off_amountinteger
channelstring
exchange_ratenumber
base_currency_codestring
business_entity_idstring
deletedboolean
objectstring
create_reason_codestring
void_reason_codestring
fractional_correctioninteger
line_itemsarray<object>
discountsarray<object>
line_item_discountsarray<object>
line_item_tiersarray<object>
taxesarray<object>
line_item_taxesarray<object>
linked_refundsarray<object>
allocationsarray<object>
linked_tax_withheld_refundsarray<object>
shipping_addressobject
billing_addressobject
custom_fieldsarray<object>
created_atinteger

Search and filter credit note records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.credit_note.search(
query={"filter": {"eq": {"allocations": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "credit_note",
"action": "search",
"params": {
"query": {"filter": {"eq": {"allocations": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
allocationsarrayDetails of allocations associated with the credit note
amount_allocatedintegerThe amount of credits allocated.
amount_availableintegerThe amount of credits available.
amount_refundedintegerThe amount of credits refunded.
base_currency_codestringThe base currency code for the credit note.
billing_addressobjectDetails of the billing address associated with the credit note
business_entity_idstringThe ID of the business entity associated with the credit note.
channelstringThe channel through which the credit note was created.
create_reason_codestringThe reason code for creating the credit note.
currency_codestringThe currency code for the credit note.
custom_fieldsarray
customer_idstringThe ID of the customer associated with the credit note.
customer_notesstringNotes provided by the customer for the credit note.
dateintegerThe date when the credit note was created.
deletedbooleanIndicates if the credit note has been deleted.
discountsarrayDetails of discounts applied to the credit note
exchange_ratenumberThe exchange rate used for currency conversion.
fractional_correctionintegerFractional correction for rounding off decimals.
generated_atintegerThe date when the credit note was generated.
idstringThe unique identifier for the credit note.
is_digitalbooleanIndicates if the credit note is in digital format.
is_vat_moss_registeredbooleanIndicates if VAT MOSS registration applies.
line_item_discountsarrayDetails of discounts applied at the line item level in the credit note
line_item_taxesarrayDetails of taxes applied at the line item level in the credit note
line_item_tiersarrayDetails of tiers applied to line items in the credit note
line_itemsarrayDetails of line items in the credit note
linked_refundsarrayDetails of linked refunds to the credit note
linked_tax_withheld_refundsarrayDetails of linked tax withheld refunds to the credit note
local_currency_codestringThe local currency code for the credit note.
objectstringThe object type of the credit note.
price_typestringThe type of pricing used for the credit note.
reason_codestringThe reason code for creating the credit note.
reference_invoice_idstringThe ID of the invoice this credit note references.
refunded_atintegerThe date when the credit note was refunded.
resource_versionintegerThe version of the credit note resource.
round_off_amountintegerAmount rounded off for currency conversions.
shipping_addressobjectDetails of the shipping address associated with the credit note
statusstringThe status of the credit note.
sub_totalintegerThe subtotal amount of the credit note.
sub_total_in_local_currencyintegerThe subtotal amount in local currency.
subscription_idstringThe ID of the subscription associated with the credit note.
taxesarrayList of taxes applied to the credit note
totalintegerThe total amount of the credit note.
total_in_local_currencyintegerThe total amount in local currency.
typestringThe type of credit note.
updated_atintegerThe date when the credit note was last updated.
vat_numberstringVAT number associated with the credit note.
vat_number_prefixstringPrefix for the VAT number.
voided_atintegerThe date when the credit note was voided.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].allocationsarrayDetails of allocations associated with the credit note
data[].amount_allocatedintegerThe amount of credits allocated.
data[].amount_availableintegerThe amount of credits available.
data[].amount_refundedintegerThe amount of credits refunded.
data[].base_currency_codestringThe base currency code for the credit note.
data[].billing_addressobjectDetails of the billing address associated with the credit note
data[].business_entity_idstringThe ID of the business entity associated with the credit note.
data[].channelstringThe channel through which the credit note was created.
data[].create_reason_codestringThe reason code for creating the credit note.
data[].currency_codestringThe currency code for the credit note.
data[].custom_fieldsarray
data[].customer_idstringThe ID of the customer associated with the credit note.
data[].customer_notesstringNotes provided by the customer for the credit note.
data[].dateintegerThe date when the credit note was created.
data[].deletedbooleanIndicates if the credit note has been deleted.
data[].discountsarrayDetails of discounts applied to the credit note
data[].exchange_ratenumberThe exchange rate used for currency conversion.
data[].fractional_correctionintegerFractional correction for rounding off decimals.
data[].generated_atintegerThe date when the credit note was generated.
data[].idstringThe unique identifier for the credit note.
data[].is_digitalbooleanIndicates if the credit note is in digital format.
data[].is_vat_moss_registeredbooleanIndicates if VAT MOSS registration applies.
data[].line_item_discountsarrayDetails of discounts applied at the line item level in the credit note
data[].line_item_taxesarrayDetails of taxes applied at the line item level in the credit note
data[].line_item_tiersarrayDetails of tiers applied to line items in the credit note
data[].line_itemsarrayDetails of line items in the credit note
data[].linked_refundsarrayDetails of linked refunds to the credit note
data[].linked_tax_withheld_refundsarrayDetails of linked tax withheld refunds to the credit note
data[].local_currency_codestringThe local currency code for the credit note.
data[].objectstringThe object type of the credit note.
data[].price_typestringThe type of pricing used for the credit note.
data[].reason_codestringThe reason code for creating the credit note.
data[].reference_invoice_idstringThe ID of the invoice this credit note references.
data[].refunded_atintegerThe date when the credit note was refunded.
data[].resource_versionintegerThe version of the credit note resource.
data[].round_off_amountintegerAmount rounded off for currency conversions.
data[].shipping_addressobjectDetails of the shipping address associated with the credit note
data[].statusstringThe status of the credit note.
data[].sub_totalintegerThe subtotal amount of the credit note.
data[].sub_total_in_local_currencyintegerThe subtotal amount in local currency.
data[].subscription_idstringThe ID of the subscription associated with the credit note.
data[].taxesarrayList of taxes applied to the credit note
data[].totalintegerThe total amount of the credit note.
data[].total_in_local_currencyintegerThe total amount in local currency.
data[].typestringThe type of credit note.
data[].updated_atintegerThe date when the credit note was last updated.
data[].vat_numberstringVAT number associated with the credit note.
data[].vat_number_prefixstringPrefix for the VAT number.
data[].voided_atintegerThe date when the credit note was voided.

Coupon

Coupon List

List coupons

Python SDK

await chargebee.coupon.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "coupon",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
namestring
invoice_namestring
discount_typestring
discount_percentagenumber
discount_amountinteger
discount_quantityinteger
currency_codestring
duration_typestring
duration_monthinteger
valid_tillinteger
max_redemptionsinteger
statusstring
apply_discount_onstring
apply_onstring
plan_constraintstring
addon_constraintstring
created_atinteger
archived_atinteger
resource_versioninteger
updated_atinteger
objectstring
redemptionsinteger
invoice_notesstring
periodinteger
period_unitstring
item_constraintsarray<object>
item_constraint_criteriaarray<object>
coupon_constraintsarray<object>
deletedboolean
custom_fieldsarray<object>

Meta

Field NameTypeDescription
next_offsetstring

Coupon Get

Retrieve a coupon

Python SDK

await chargebee.coupon.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "coupon",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesCoupon ID
Response Schema

Records

Field NameTypeDescription
idstring
namestring
invoice_namestring
discount_typestring
discount_percentagenumber
discount_amountinteger
discount_quantityinteger
currency_codestring
duration_typestring
duration_monthinteger
valid_tillinteger
max_redemptionsinteger
statusstring
apply_discount_onstring
apply_onstring
plan_constraintstring
addon_constraintstring
created_atinteger
archived_atinteger
resource_versioninteger
updated_atinteger
objectstring
redemptionsinteger
invoice_notesstring
periodinteger
period_unitstring
item_constraintsarray<object>
item_constraint_criteriaarray<object>
coupon_constraintsarray<object>
deletedboolean
custom_fieldsarray<object>

Search and filter coupon records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.coupon.search(
query={"filter": {"eq": {"apply_discount_on": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "coupon",
"action": "search",
"params": {
"query": {"filter": {"eq": {"apply_discount_on": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
apply_discount_onstringDetermines where the discount is applied on (e.g. subtotal, total).
apply_onstringSpecify on what type of items the coupon applies (e.g. subscription, addon).
archived_atintegerTimestamp when the coupon was archived.
coupon_constraintsarrayRepresents the constraints associated with the coupon
created_atintegerTimestamp of the coupon creation.
currency_codestringThe currency code for the coupon (e.g. USD, EUR).
custom_fieldsarray
discount_amountintegerThe fixed discount amount applied by the coupon.
discount_percentagenumberPercentage discount applied by the coupon.
discount_quantityintegerSpecifies the number of free units provided for the item price, without affecting the total quantity sold. This parameter is applicable only when the discount_type is set to offer_quantity.
discount_typestringType of discount (e.g. fixed, percentage).
duration_monthintegerDuration of the coupon in months.
duration_typestringType of duration (e.g. forever, one-time).
idstringUnique identifier for the coupon.
invoice_namestringName displayed on invoices when the coupon is used.
invoice_notesstringAdditional notes displayed on invoices when the coupon is used.
item_constraint_criteriaarrayCriteria for item constraints
item_constraintsarrayConstraints related to the items
max_redemptionsintegerMaximum number of times the coupon can be redeemed.
namestringName of the coupon.
objectstringType of object (usually 'coupon').
periodintegerDuration or frequency for which the coupon is valid.
period_unitstringUnit of the period (e.g. days, weeks).
redemptionsintegerNumber of times the coupon has been redeemed.
resource_versionintegerVersion of the resource.
statusstringCurrent status of the coupon (e.g. active, inactive).
updated_atintegerTimestamp when the coupon was last updated.
valid_tillintegerDate until which the coupon is valid for use.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].apply_discount_onstringDetermines where the discount is applied on (e.g. subtotal, total).
data[].apply_onstringSpecify on what type of items the coupon applies (e.g. subscription, addon).
data[].archived_atintegerTimestamp when the coupon was archived.
data[].coupon_constraintsarrayRepresents the constraints associated with the coupon
data[].created_atintegerTimestamp of the coupon creation.
data[].currency_codestringThe currency code for the coupon (e.g. USD, EUR).
data[].custom_fieldsarray
data[].discount_amountintegerThe fixed discount amount applied by the coupon.
data[].discount_percentagenumberPercentage discount applied by the coupon.
data[].discount_quantityintegerSpecifies the number of free units provided for the item price, without affecting the total quantity sold. This parameter is applicable only when the discount_type is set to offer_quantity.
data[].discount_typestringType of discount (e.g. fixed, percentage).
data[].duration_monthintegerDuration of the coupon in months.
data[].duration_typestringType of duration (e.g. forever, one-time).
data[].idstringUnique identifier for the coupon.
data[].invoice_namestringName displayed on invoices when the coupon is used.
data[].invoice_notesstringAdditional notes displayed on invoices when the coupon is used.
data[].item_constraint_criteriaarrayCriteria for item constraints
data[].item_constraintsarrayConstraints related to the items
data[].max_redemptionsintegerMaximum number of times the coupon can be redeemed.
data[].namestringName of the coupon.
data[].objectstringType of object (usually 'coupon').
data[].periodintegerDuration or frequency for which the coupon is valid.
data[].period_unitstringUnit of the period (e.g. days, weeks).
data[].redemptionsintegerNumber of times the coupon has been redeemed.
data[].resource_versionintegerVersion of the resource.
data[].statusstringCurrent status of the coupon (e.g. active, inactive).
data[].updated_atintegerTimestamp when the coupon was last updated.
data[].valid_tillintegerDate until which the coupon is valid for use.

Transaction

Transaction List

List transactions

Python SDK

await chargebee.transaction.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "transaction",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
subscription_idstring
gateway_account_idstring
payment_source_idstring
payment_methodstring
reference_numberstring
gatewaystring
typestring
dateinteger
settled_atinteger
exchange_ratenumber
currency_codestring
amountinteger
id_at_gatewaystring
statusstring
fraud_flagstring
initiator_typestring
three_d_secureboolean
authorization_reasonstring
error_codestring
error_textstring
voided_atinteger
resource_versioninteger
updated_atinteger
fraud_reasonstring
amount_unusedinteger
masked_card_numberstring
reference_transaction_idstring
refunded_txn_idstring
reference_authorization_idstring
amount_capturableinteger
reversal_transaction_idstring
deletedboolean
iinstring
last4string
merchant_reference_idstring
business_entity_idstring
payment_method_detailsany
objectstring
base_currency_codestring
linked_invoicesarray<object>
linked_credit_notesarray<object>
linked_refundsarray<object>
linked_paymentsarray<object>
custom_fieldsarray<object>
created_atinteger

Meta

Field NameTypeDescription
next_offsetstring

Transaction Get

Retrieve a transaction

Python SDK

await chargebee.transaction.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "transaction",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesTransaction ID
Response Schema

Records

Field NameTypeDescription
idstring
customer_idstring
subscription_idstring
gateway_account_idstring
payment_source_idstring
payment_methodstring
reference_numberstring
gatewaystring
typestring
dateinteger
settled_atinteger
exchange_ratenumber
currency_codestring
amountinteger
id_at_gatewaystring
statusstring
fraud_flagstring
initiator_typestring
three_d_secureboolean
authorization_reasonstring
error_codestring
error_textstring
voided_atinteger
resource_versioninteger
updated_atinteger
fraud_reasonstring
amount_unusedinteger
masked_card_numberstring
reference_transaction_idstring
refunded_txn_idstring
reference_authorization_idstring
amount_capturableinteger
reversal_transaction_idstring
deletedboolean
iinstring
last4string
merchant_reference_idstring
business_entity_idstring
payment_method_detailsany
objectstring
base_currency_codestring
linked_invoicesarray<object>
linked_credit_notesarray<object>
linked_refundsarray<object>
linked_paymentsarray<object>
custom_fieldsarray<object>
created_atinteger

Search and filter transaction records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.transaction.search(
query={"filter": {"eq": {"amount": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "transaction",
"action": "search",
"params": {
"query": {"filter": {"eq": {"amount": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
amountintegerThe total amount of the transaction.
amount_capturableintegerThe remaining amount that can be captured in the transaction.
amount_unusedintegerThe amount in the transaction that remains unused.
authorization_reasonstringReason for authorization of the transaction.
base_currency_codestringThe base currency code of the transaction.
business_entity_idstringThe ID of the business entity related to the transaction.
cn_create_reason_codestringReason code for creating a credit note.
cn_dateintegerDate of the credit note.
cn_reference_invoice_idstringID of the invoice referenced in the credit note.
cn_statusstringStatus of the credit note.
cn_totalintegerTotal amount of the credit note.
currency_codestringThe currency code of the transaction.
custom_fieldsarray
customer_idstringThe ID of the customer associated with the transaction.
dateintegerDate of the transaction.
deletedbooleanFlag indicating if the transaction is deleted.
error_codestringError code associated with the transaction.
error_detailstringDetailed error information related to the transaction.
error_textstringError message text of the transaction.
exchange_ratenumberExchange rate used in the transaction.
fraud_flagstringFlag indicating if the transaction is flagged for fraud.
fraud_reasonstringReason for flagging the transaction as fraud.
gatewaystringThe payment gateway used in the transaction.
gateway_account_idstringID of the gateway account used in the transaction.
idstringUnique identifier of the transaction.
id_at_gatewaystringTransaction ID assigned by the gateway.
iinstringBank identification number of the transaction.
initiator_typestringType of initiator involved in the transaction.
last4stringLast 4 digits of the card used in the transaction.
linked_credit_notesarrayLinked credit notes associated with the transaction.
linked_invoicesarrayLinked invoices associated with the transaction.
linked_paymentsarrayLinked payments associated with the transaction.
linked_refundsarrayLinked refunds associated with the transaction.
masked_card_numberstringMasked card number used in the transaction.
merchant_reference_idstringMerchant reference ID of the transaction.
objectstringType of object representing the transaction.
payment_methodstringPayment method used in the transaction.
payment_method_detailsstringDetails of the payment method used in the transaction.
payment_source_idstringID of the payment source used in the transaction.
reference_authorization_idstringReference authorization ID of the transaction.
reference_numberstringReference number associated with the transaction.
reference_transaction_idstringID of the reference transaction.
refrence_numberstringReference number of the transaction.
refunded_txn_idstringID of the refunded transaction.
resource_versionintegerResource version of the transaction.
reversal_transaction_idstringID of the reversal transaction, if any.
settled_atintegerDate when the transaction was settled.
statusstringStatus of the transaction.
subscription_idstringID of the subscription related to the transaction.
three_d_securebooleanFlag indicating if 3D secure was used in the transaction.
txn_amountintegerAmount of the transaction.
txn_dateintegerDate of the transaction.
typestringType of the transaction.
updated_atintegerDate when the transaction was last updated.
voided_atintegerDate when the transaction was voided.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].amountintegerThe total amount of the transaction.
data[].amount_capturableintegerThe remaining amount that can be captured in the transaction.
data[].amount_unusedintegerThe amount in the transaction that remains unused.
data[].authorization_reasonstringReason for authorization of the transaction.
data[].base_currency_codestringThe base currency code of the transaction.
data[].business_entity_idstringThe ID of the business entity related to the transaction.
data[].cn_create_reason_codestringReason code for creating a credit note.
data[].cn_dateintegerDate of the credit note.
data[].cn_reference_invoice_idstringID of the invoice referenced in the credit note.
data[].cn_statusstringStatus of the credit note.
data[].cn_totalintegerTotal amount of the credit note.
data[].currency_codestringThe currency code of the transaction.
data[].custom_fieldsarray
data[].customer_idstringThe ID of the customer associated with the transaction.
data[].dateintegerDate of the transaction.
data[].deletedbooleanFlag indicating if the transaction is deleted.
data[].error_codestringError code associated with the transaction.
data[].error_detailstringDetailed error information related to the transaction.
data[].error_textstringError message text of the transaction.
data[].exchange_ratenumberExchange rate used in the transaction.
data[].fraud_flagstringFlag indicating if the transaction is flagged for fraud.
data[].fraud_reasonstringReason for flagging the transaction as fraud.
data[].gatewaystringThe payment gateway used in the transaction.
data[].gateway_account_idstringID of the gateway account used in the transaction.
data[].idstringUnique identifier of the transaction.
data[].id_at_gatewaystringTransaction ID assigned by the gateway.
data[].iinstringBank identification number of the transaction.
data[].initiator_typestringType of initiator involved in the transaction.
data[].last4stringLast 4 digits of the card used in the transaction.
data[].linked_credit_notesarrayLinked credit notes associated with the transaction.
data[].linked_invoicesarrayLinked invoices associated with the transaction.
data[].linked_paymentsarrayLinked payments associated with the transaction.
data[].linked_refundsarrayLinked refunds associated with the transaction.
data[].masked_card_numberstringMasked card number used in the transaction.
data[].merchant_reference_idstringMerchant reference ID of the transaction.
data[].objectstringType of object representing the transaction.
data[].payment_methodstringPayment method used in the transaction.
data[].payment_method_detailsstringDetails of the payment method used in the transaction.
data[].payment_source_idstringID of the payment source used in the transaction.
data[].reference_authorization_idstringReference authorization ID of the transaction.
data[].reference_numberstringReference number associated with the transaction.
data[].reference_transaction_idstringID of the reference transaction.
data[].refrence_numberstringReference number of the transaction.
data[].refunded_txn_idstringID of the refunded transaction.
data[].resource_versionintegerResource version of the transaction.
data[].reversal_transaction_idstringID of the reversal transaction, if any.
data[].settled_atintegerDate when the transaction was settled.
data[].statusstringStatus of the transaction.
data[].subscription_idstringID of the subscription related to the transaction.
data[].three_d_securebooleanFlag indicating if 3D secure was used in the transaction.
data[].txn_amountintegerAmount of the transaction.
data[].txn_dateintegerDate of the transaction.
data[].typestringType of the transaction.
data[].updated_atintegerDate when the transaction was last updated.
data[].voided_atintegerDate when the transaction was voided.

Event

Event List

List events

Python SDK

await chargebee.event.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "event",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
occurred_atinteger
sourcestring
userstring
event_typestring
api_versionstring
contentobject
objectstring
webhook_statusstring
webhooksarray<object>
custom_fieldsarray<object>

Meta

Field NameTypeDescription
next_offsetstring

Event Get

Retrieve an event

Python SDK

await chargebee.event.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "event",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesEvent ID
Response Schema

Records

Field NameTypeDescription
idstring
occurred_atinteger
sourcestring
userstring
event_typestring
api_versionstring
contentobject
objectstring
webhook_statusstring
webhooksarray<object>
custom_fieldsarray<object>

Search and filter event records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.event.search(
query={"filter": {"eq": {"api_version": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "event",
"action": "search",
"params": {
"query": {"filter": {"eq": {"api_version": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
api_versionstringThe version of the Chargebee API being used to fetch the event data.
contentobjectThe specific content or information associated with the event.
custom_fieldsarray
event_typestringThe type or category of the event.
idstringUnique identifier for the event data record.
objectstringThe object or entity that the event is triggered for.
occurred_atintegerThe datetime when the event occurred.
sourcestringThe source or origin of the event data.
userstringInformation about the user or entity associated with the event.
webhook_statusstringThe status of the webhook execution for the event.
webhooksarrayList of webhooks associated with the event.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].api_versionstringThe version of the Chargebee API being used to fetch the event data.
data[].contentobjectThe specific content or information associated with the event.
data[].custom_fieldsarray
data[].event_typestringThe type or category of the event.
data[].idstringUnique identifier for the event data record.
data[].objectstringThe object or entity that the event is triggered for.
data[].occurred_atintegerThe datetime when the event occurred.
data[].sourcestringThe source or origin of the event data.
data[].userstringInformation about the user or entity associated with the event.
data[].webhook_statusstringThe status of the webhook execution for the event.
data[].webhooksarrayList of webhooks associated with the event.

Order

Order List

List orders

Python SDK

await chargebee.order.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
document_numberstring
invoice_idstring
subscription_idstring
customer_idstring
statusstring
cancellation_reasonstring
payment_statusstring
order_typestring
price_typestring
reference_idstring
fulfillment_statusstring
order_dateinteger
shipping_dateinteger
notestring
tracking_idstring
tracking_urlstring
batch_idstring
created_bystring
shipment_carrierstring
invoice_round_off_amountinteger
taxinteger
amount_paidinteger
amount_adjustedinteger
refundable_credits_issuedinteger
refundable_creditsinteger
rounding_adjustementinteger
paid_oninteger
shipping_cut_off_dateinteger
created_atinteger
status_update_atinteger
delivered_atinteger
shipped_atinteger
resource_versioninteger
updated_atinteger
cancelled_atinteger
resent_statusstring
is_resentboolean
original_order_idstring
deletedboolean
currency_codestring
is_giftedboolean
gift_notestring
gift_idstring
resend_reasonstring
business_entity_idstring
objectstring
discountinteger
sub_totalinteger
totalinteger
order_line_itemsarray<object>
shipping_addressobject
billing_addressobject
line_item_taxesarray<object>
line_item_discountsarray<object>
linked_credit_notesarray<object>
resent_ordersarray<object>
custom_fieldsarray<object>

Meta

Field NameTypeDescription
next_offsetstring

Order Get

Retrieve an order

Python SDK

await chargebee.order.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesOrder ID
Response Schema

Records

Field NameTypeDescription
idstring
document_numberstring
invoice_idstring
subscription_idstring
customer_idstring
statusstring
cancellation_reasonstring
payment_statusstring
order_typestring
price_typestring
reference_idstring
fulfillment_statusstring
order_dateinteger
shipping_dateinteger
notestring
tracking_idstring
tracking_urlstring
batch_idstring
created_bystring
shipment_carrierstring
invoice_round_off_amountinteger
taxinteger
amount_paidinteger
amount_adjustedinteger
refundable_credits_issuedinteger
refundable_creditsinteger
rounding_adjustementinteger
paid_oninteger
shipping_cut_off_dateinteger
created_atinteger
status_update_atinteger
delivered_atinteger
shipped_atinteger
resource_versioninteger
updated_atinteger
cancelled_atinteger
resent_statusstring
is_resentboolean
original_order_idstring
deletedboolean
currency_codestring
is_giftedboolean
gift_notestring
gift_idstring
resend_reasonstring
business_entity_idstring
objectstring
discountinteger
sub_totalinteger
totalinteger
order_line_itemsarray<object>
shipping_addressobject
billing_addressobject
line_item_taxesarray<object>
line_item_discountsarray<object>
linked_credit_notesarray<object>
resent_ordersarray<object>
custom_fieldsarray<object>

Search and filter order records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.order.search(
query={"filter": {"eq": {"amount_adjusted": 0}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order",
"action": "search",
"params": {
"query": {"filter": {"eq": {"amount_adjusted": 0}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
amount_adjustedintegerAdjusted amount for the order.
amount_paidintegerAmount paid for the order.
base_currency_codestringThe base currency code used for the order.
batch_idstringUnique identifier for the batch the order belongs to.
billing_addressobjectThe billing address associated with the order
business_entity_idstringIdentifier for the business entity associated with the order.
cancellation_reasonstringReason for order cancellation.
cancelled_atintegerTimestamp when the order was cancelled.
created_atintegerTimestamp when the order was created.
created_bystringUser or system that created the order.
currency_codestringCurrency code used for the order.
custom_fieldsarray
customer_idstringIdentifier for the customer placing the order.
deletedbooleanFlag indicating if the order has been deleted.
delivered_atintegerTimestamp when the order was delivered.
discountintegerDiscount amount applied to the order.
document_numberstringUnique document number associated with the order.
exchange_ratenumberRate used for currency exchange in the order.
fulfillment_statusstringStatus of fulfillment for the order.
gift_idstringIdentifier for any gift associated with the order.
gift_notestringNote attached to any gift in the order.
idstringUnique identifier for the order.
invoice_idstringIdentifier for the invoice associated with the order.
invoice_round_off_amountintegerRound-off amount applied to the invoice.
is_giftedbooleanFlag indicating if the order is a gift.
is_resentbooleanFlag indicating if the order has been resent.
line_item_discountsarrayDiscounts applied to individual line items
line_item_taxesarrayTaxes applied to individual line items
linked_credit_notesarrayCredit notes linked to the order
notestringAdditional notes or comments for the order.
objectstringType of object representing an order in the system.
order_dateintegerDate when the order was created.
order_line_itemsarrayList of line items in the order
order_typestringType of order such as purchase order or sales order.
original_order_idstringIdentifier for the original order if this is a modified order.
paid_onintegerTimestamp when the order was paid for.
payment_statusstringStatus of payment for the order.
price_typestringType of pricing used for the order.
reference_idstringReference identifier for the order.
refundable_creditsintegerCredits that can be refunded for the whole order.
refundable_credits_issuedintegerCredits already issued for refund for the whole order.
resend_reasonstringReason for resending the order.
resent_ordersarrayOrders that were resent to the customer
resent_statusstringStatus of the resent order.
resource_versionintegerVersion of the resource or order data.
rounding_adjustementintegerAdjustment made for rounding off the order amount.
shipment_carrierstringCarrier for shipping the order.
shipped_atintegerTimestamp when the order was shipped.
shipping_addressobjectThe shipping address for the order
shipping_cut_off_dateintegerDate indicating the shipping cut-off for the order.
shipping_dateintegerDate when the order is scheduled for shipping.
statusstringCurrent status of the order.
status_update_atintegerTimestamp when the status of the order was last updated.
sub_totalintegerSub-total amount for the order before applying taxes or discounts.
subscription_idstringIdentifier for the subscription associated with the order.
taxintegerTotal tax amount for the order.
totalintegerTotal amount including taxes and discounts for the order.
tracking_idstringTracking identifier for the order shipment.
tracking_urlstringURL for tracking the order shipment.
updated_atintegerTimestamp when the order data was last updated.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].amount_adjustedintegerAdjusted amount for the order.
data[].amount_paidintegerAmount paid for the order.
data[].base_currency_codestringThe base currency code used for the order.
data[].batch_idstringUnique identifier for the batch the order belongs to.
data[].billing_addressobjectThe billing address associated with the order
data[].business_entity_idstringIdentifier for the business entity associated with the order.
data[].cancellation_reasonstringReason for order cancellation.
data[].cancelled_atintegerTimestamp when the order was cancelled.
data[].created_atintegerTimestamp when the order was created.
data[].created_bystringUser or system that created the order.
data[].currency_codestringCurrency code used for the order.
data[].custom_fieldsarray
data[].customer_idstringIdentifier for the customer placing the order.
data[].deletedbooleanFlag indicating if the order has been deleted.
data[].delivered_atintegerTimestamp when the order was delivered.
data[].discountintegerDiscount amount applied to the order.
data[].document_numberstringUnique document number associated with the order.
data[].exchange_ratenumberRate used for currency exchange in the order.
data[].fulfillment_statusstringStatus of fulfillment for the order.
data[].gift_idstringIdentifier for any gift associated with the order.
data[].gift_notestringNote attached to any gift in the order.
data[].idstringUnique identifier for the order.
data[].invoice_idstringIdentifier for the invoice associated with the order.
data[].invoice_round_off_amountintegerRound-off amount applied to the invoice.
data[].is_giftedbooleanFlag indicating if the order is a gift.
data[].is_resentbooleanFlag indicating if the order has been resent.
data[].line_item_discountsarrayDiscounts applied to individual line items
data[].line_item_taxesarrayTaxes applied to individual line items
data[].linked_credit_notesarrayCredit notes linked to the order
data[].notestringAdditional notes or comments for the order.
data[].objectstringType of object representing an order in the system.
data[].order_dateintegerDate when the order was created.
data[].order_line_itemsarrayList of line items in the order
data[].order_typestringType of order such as purchase order or sales order.
data[].original_order_idstringIdentifier for the original order if this is a modified order.
data[].paid_onintegerTimestamp when the order was paid for.
data[].payment_statusstringStatus of payment for the order.
data[].price_typestringType of pricing used for the order.
data[].reference_idstringReference identifier for the order.
data[].refundable_creditsintegerCredits that can be refunded for the whole order.
data[].refundable_credits_issuedintegerCredits already issued for refund for the whole order.
data[].resend_reasonstringReason for resending the order.
data[].resent_ordersarrayOrders that were resent to the customer
data[].resent_statusstringStatus of the resent order.
data[].resource_versionintegerVersion of the resource or order data.
data[].rounding_adjustementintegerAdjustment made for rounding off the order amount.
data[].shipment_carrierstringCarrier for shipping the order.
data[].shipped_atintegerTimestamp when the order was shipped.
data[].shipping_addressobjectThe shipping address for the order
data[].shipping_cut_off_dateintegerDate indicating the shipping cut-off for the order.
data[].shipping_dateintegerDate when the order is scheduled for shipping.
data[].statusstringCurrent status of the order.
data[].status_update_atintegerTimestamp when the status of the order was last updated.
data[].sub_totalintegerSub-total amount for the order before applying taxes or discounts.
data[].subscription_idstringIdentifier for the subscription associated with the order.
data[].taxintegerTotal tax amount for the order.
data[].totalintegerTotal amount including taxes and discounts for the order.
data[].tracking_idstringTracking identifier for the order shipment.
data[].tracking_urlstringURL for tracking the order shipment.
data[].updated_atintegerTimestamp when the order data was last updated.

Item

Item List

List items

Python SDK

await chargebee.item.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "item",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
namestring
external_namestring
descriptionstring
statusstring
resource_versioninteger
updated_atinteger
item_family_idstring
typestring
is_shippableboolean
is_giftableboolean
redirect_urlstring
enabled_for_checkoutboolean
enabled_in_portalboolean
included_in_mrrboolean
item_applicabilitystring
gift_claim_redirect_urlstring
unitstring
meteredboolean
usage_calculationstring
archived_atinteger
channelstring
metadataobject
deletedboolean
objectstring
applicable_itemsarray<object>
bundle_itemsarray<object>
bundle_configurationobject
business_entity_idstring
is_percentage_pricingboolean

Meta

Field NameTypeDescription
next_offsetstring

Item Get

Retrieve an item

Python SDK

await chargebee.item.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "item",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesItem ID
Response Schema

Records

Field NameTypeDescription
idstring
namestring
external_namestring
descriptionstring
statusstring
resource_versioninteger
updated_atinteger
item_family_idstring
typestring
is_shippableboolean
is_giftableboolean
redirect_urlstring
enabled_for_checkoutboolean
enabled_in_portalboolean
included_in_mrrboolean
item_applicabilitystring
gift_claim_redirect_urlstring
unitstring
meteredboolean
usage_calculationstring
archived_atinteger
channelstring
metadataobject
deletedboolean
objectstring
applicable_itemsarray<object>
bundle_itemsarray<object>
bundle_configurationobject
business_entity_idstring
is_percentage_pricingboolean

Search and filter item records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await chargebee.item.search(
query={"filter": {"eq": {"applicable_items": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "item",
"action": "search",
"params": {
"query": {"filter": {"eq": {"applicable_items": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
applicable_itemsarrayItems associated with the item
archived_atintegerDate and time when the item was archived
channelstringChannel the item belongs to
custom_fieldsarrayCustom field entries for the item
descriptionstringDescription of the item
enabled_for_checkoutbooleanFlag indicating if the item is enabled for checkout
enabled_in_portalbooleanFlag indicating if the item is enabled in the portal
external_namestringName of the item in an external system
gift_claim_redirect_urlstringURL to redirect for gift claim
idstringUnique identifier for the item
included_in_mrrbooleanFlag indicating if the item is included in Monthly Recurring Revenue
is_giftablebooleanFlag indicating if the item is giftable
is_shippablebooleanFlag indicating if the item is shippable
item_applicabilitystringApplicability of the item
item_family_idstringID of the item's family
metadataobjectAdditional data associated with the item
meteredbooleanFlag indicating if the item is metered
namestringName of the item
objectstringType of object
redirect_urlstringURL to redirect for the item
resource_versionintegerVersion of the resource
statusstringStatus of the item
typestringType of the item
unitstringUnit associated with the item
updated_atintegerDate and time when the item was last updated
usage_calculationstringCalculation method used for item usage
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].applicable_itemsarrayItems associated with the item
data[].archived_atintegerDate and time when the item was archived
data[].channelstringChannel the item belongs to
data[].custom_fieldsarrayCustom field entries for the item
data[].descriptionstringDescription of the item
data[].enabled_for_checkoutbooleanFlag indicating if the item is enabled for checkout
data[].enabled_in_portalbooleanFlag indicating if the item is enabled in the portal
data[].external_namestringName of the item in an external system
data[].gift_claim_redirect_urlstringURL to redirect for gift claim
data[].idstringUnique identifier for the item
data[].included_in_mrrbooleanFlag indicating if the item is included in Monthly Recurring Revenue
data[].is_giftablebooleanFlag indicating if the item is giftable
data[].is_shippablebooleanFlag indicating if the item is shippable
data[].item_applicabilitystringApplicability of the item
data[].item_family_idstringID of the item's family
data[].metadataobjectAdditional data associated with the item
data[].meteredbooleanFlag indicating if the item is metered
data[].namestringName of the item
data[].objectstringType of object
data[].redirect_urlstringURL to redirect for the item
data[].resource_versionintegerVersion of the resource
data[].statusstringStatus of the item
data[].typestringType of the item
data[].unitstringUnit associated with the item
data[].updated_atintegerDate and time when the item was last updated
data[].usage_calculationstringCalculation method used for item usage

Item Price

Item Price List

List item prices

Python SDK

await chargebee.item_price.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "item_price",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
limitintegerNo
offsetstringNo
Response Schema

Records

Field NameTypeDescription
idstring
namestring
item_family_idstring
item_idstring
item_typestring
descriptionstring
statusstring
external_namestring
pricing_modelstring
priceinteger
price_in_decimalstring
periodinteger
period_unitstring
trial_periodinteger
trial_period_unitstring
trial_end_actionstring
shipping_periodinteger
shipping_period_unitstring
billing_cyclesinteger
free_quantityinteger
free_quantity_in_decimalstring
currency_codestring
resource_versioninteger
updated_atinteger
created_atinteger
archived_atinteger
invoice_notesstring
is_taxableboolean
metadataobject
tax_detailobject
accounting_detailobject
tiersarray<object>
tax_providers_fieldsarray<object>
objectstring
channelstring
show_description_in_invoicesboolean
show_description_in_quotesboolean
business_entity_idstring
deletedboolean

Meta

Field NameTypeDescription
next_offsetstring

Item Price Get

Retrieve an item price

Python SDK

await chargebee.item_price.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "item_price",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesItem price ID
Response Schema

Records

Field NameTypeDescription
idstring
namestring
item_family_idstring
item_idstring
item_typestring
descriptionstring
statusstring
external_namestring
pricing_modelstring
priceinteger
[...]
